#!/usr/bin/perl

if ($#ARGV == 1) {
  $spacing = $ARGV[1];
}
else {
  $spacing = .1
}
if ($ARGV[0] =~ /\.pl$/) {
  $fontname = $`;
  open(PL, $ARGV[0]) or die 'Cannot open ' . $ARGV[0];
}
else {
  die 'Invalid font name';
}
$c = 0;
print "(VTITLE spaced version of $fontname)\n";
while (<PL>) {
  chop;
  next if /\(LIG C [fli]/;
  $_ = '   (SPACE R .4)' if /\(SPACE/;
  $_ = '   (STRETCH R .1)' if /\(STRETCH/;
  $_ = '   (SHRINK R .06)' if /\(SHRINK/;
  if (/^\((DESIGNSIZE.+)\)$/) {
    $dsize = "(FONT$1)";
  }
  if (/^\(CHARACTER\s+/) {
    $c = $';
  }
  if ($c && /\(CHARWD R (.+)\)$/) {
    $wd = $spacing + $1;
    $_ = "   (CHARWD R $wd)";
  }
  if ($c && $_ eq '   )') {
    print<<"EOMAP";
   (MAP
      (SETCHAR $c)
      )
EOMAP
    $c = 0;
  }
  print "$_\n";
  if (/^\((CHECKSUM.*)\)$/) {
    $checksum = "(FONT$1)";
    print<<"EOMAP";
(MAPFONT D 0
   (FONTNAME $fontname)
   $checksum
   (FONTAT R 1.0)
   $dsize
   )
EOMAP
  }
}
